org.apache.cassandra.transport

## Class Message

- java.lang.Object
- - org.apache.cassandra.transport.Message

Direct Known Subclasses:
  Message.Request, Message.Response

    public abstract class Message
    extends java.lang.Object

A message from the CQL binary protocol.

### Nested Class Summary

Nested Classes
`static interface` `Message.Codec<M extends Message>`
`static class` `Message.Direction`
`static class` `Message.Dispatcher`
`static class` `Message.ExceptionHandler`
`static class` `Message.ProtocolDecoder`
`static class` `Message.ProtocolEncoder`
`static class` `Message.Request`
`static class` `Message.Response`
`static class` `Message.Type`

### Field Summary

Fields
`protected Connection` `connection`
`protected ProtocolVersion` `forcedProtocolVersion`
`protected static org.slf4j.Logger` `logger`
`Message.Type` `type`

### Constructor Summary

Constructors
`protected` `Message(Message.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `attach(Connection connection)`
`Connection` `connection()`
`java.util.Map<java.lang.String,java.nio.ByteBuffer>` `getCustomPayload()`
`Frame` `getSourceFrame()`
`int` `getStreamId()`
`void` `setCustomPayload(java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload)`
`void` `setSourceFrame(Frame sourceFrame)`
`Message` `setStreamId(int streamId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected static final org.slf4j.Logger logger

#### type

    public final Message.Type type

#### connection

    protected Connection connection

#### forcedProtocolVersion

    protected ProtocolVersion forcedProtocolVersion

### Constructor Detail

#### Message

    protected Message(Message.Type type)

### Method Detail

#### attach

    public void attach(Connection connection)

#### connection

    public Connection connection()

#### setStreamId

    public Message setStreamId(int streamId)

#### getStreamId

    public int getStreamId()

#### setSourceFrame

    public void setSourceFrame(Frame sourceFrame)

#### getSourceFrame

    public Frame getSourceFrame()

#### getCustomPayload

    public java.util.Map<java.lang.String,java.nio.ByteBuffer> getCustomPayload()

#### setCustomPayload

    public void setCustomPayload(java.util.Map<java.lang.String,java.nio.ByteBuffer> customPayload)